## org.eclipse.datatools.connectivity.ui
Interface IContentExtension

All Known Implementing Classes:
  ContentExtensionBase, ManagedContentExtensionBase

public interface IContentExtension

This interface is used by the CommonContentProviderBase for managing user extensions to connection profiles through navigatorContent extensions.

Author:
  rcernich, shongxum Created on Jan 15, 2004

Method Summary
`void` `closeConnection()` This method should close any active connection referenced by this object.
`void` `dispose()` This method should dispose of any resources allocated by this object, including closing open connections to the referenced connection profile.
`IConnection` `getConnection()`
`IConnectionProfile` `getConnectionProfile()`
`Image` `getImage()`
`java.lang.String` `getLabel()`
`boolean` `isVisible()`
`void` `openConnection()` When invoked, this object should open a connection to the referenced connection profile and return the root elements to be displayed under this elements node in the tree.

Method Detail

### getConnectionProfile

    public IConnectionProfile getConnectionProfile()

  Returns:
    the connection profile extended by this object.

### openConnection

    public void openConnection()

  When invoked, this object should open a connection to the referenced connection profile and return the root elements to be displayed under this elements node in the tree. If the connection is already open, the existing nodes should be returned.

  Returns:
    the root nodes to display under the connection profile

### closeConnection

    public void closeConnection()

  This method should close any active connection referenced by this object.

### getConnection

    public IConnection getConnection()

  Returns:
    the connection used by this extension.

### dispose

    public void dispose()

  This method should dispose of any resources allocated by this object, including closing open connections to the referenced connection profile.

### getLabel

    public java.lang.String getLabel()

  Returns:
    the label to be displayed for this extension node.

### getImage

    public Image getImage()

  Returns:
    the image to be displayed for this extension node.

### isVisible

    public boolean isVisible()

  Returns:
    true if this content extension node should be visible

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.